/*
   HARK Library
   Copyright (C) 2021 Honda Research Institute Japan Inc.
 */

#if !defined(_HARKLIB_NODE_GREATER_EQUAL_H_INCLUDED_)
#define _HARKLIB_NODE_GREATER_EQUAL_H_INCLUDED_ 1

#include "hark-lib/hark-lib.h"
#include "hark-lib/node.h"

namespace hark
{
namespace node
{
    class GreaterEqual: public NodeDef
    {
    public:
        GreaterEqual();

        void initialize(InputDataBundle &input);
        virtual void reset();
        virtual bool operator () (size_t count, InputDataBundle &input, OutputDataBundle &output);

    private:
        std::function<bool(const data&, const data&)> eval;
    };
}
}

#endif /* #if !defined(_HARKLIB_NODE_GREATER_EQUAL_H_INCLUDED_) */

/* end of file */
